Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezpattributeoperatorhtmlformatter.php
Go to the documentation of this file.
1 <?php
12 class ezpAttributeOperatorHTMLFormatter extends ezpAttributeOperatorFormatter implements ezpAttributeOperatorFormatterInterface
13 {
14
22 public function header( $value, $showValues )
23 {
24 $headers = "<th align=\"left\">Attribute</th>\n<th align=\"left\">Type</th>\n";
25 if ( $showValues )
26 $headers .= "<th align=\"left\">Value</th>\n";
27
28 return "<table><tr>{$headers}</tr>\n{$value}</table>\n";
29 }
30
40 public function line( $key, $item, $showValues, $level )
41 {
42 $type = $this->getType( $item );
43 $value = $this->getValue( $item );
44 $spacing = str_repeat( "&gt;", $level );
45
46 if ( $showValues )
47 $output = "<tr><td>{$spacing}{$key}</td>\n<td>{$type}</td>\n<td>{$value}</td>\n</tr>\n";
48 else
49 $output = "<tr><td>{$spacing}{$key}</td>\n<td>{$type}</td>\n</tr>\n";
50
51 return $output;
52 }
53 }
$level
$level
Definition: admin/message.php:106
$item
$item
Definition: classes/admin/linklist.php:228
$type
$type
Definition: classes/admin/linkselect.php:220
ezpAttributeOperatorFormatter
Definition: ezpattributeoperatorformatter.php:13
ezpAttributeOperatorFormatter\getValue
getValue( $item)
Definition: ezpattributeoperatorformatter.php:35
ezpAttributeOperatorFormatter\getType
getType( $item)
Definition: ezpattributeoperatorformatter.php:20
ezpAttributeOperatorHTMLFormatter
Definition: ezpattributeoperatorhtmlformatter.php:13
ezpAttributeOperatorHTMLFormatter\header
header( $value, $showValues)
Definition: ezpattributeoperatorhtmlformatter.php:22
ezpAttributeOperatorHTMLFormatter\line
line( $key, $item, $showValues, $level)
Definition: ezpattributeoperatorhtmlformatter.php:40
$output
$output
Definition: formpreview.php:81
ezpAttributeOperatorFormatterInterface
Definition: ezpattributeoperatorformatterinterface.php:13
$headers
$headers
Definition: requestpagelist.php:61
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.